---
title: Intl.Locale.prototype.numberingSystem
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/numberingSystem
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale.prototype.numberingSystem</code></strong> property is an accessor property that returns the <a href="https://en.wikipedia.org/wiki/Numeral_system">numeral system</a> used by the locale.</span></p>

<h2 id="Description">Description</h2>

<p>A numeral system is a system for expressing numbers. The <code>numberingSystem</code> property helps to represent the different numeral systems used by various countries, regions, and cultures around the world. As with most internationalization schemas, the numeral systems that can be represented in a <code>Locale</code> object by <code>numberingSystem</code> are standardized by Unicode. A table of the standard Unicode numeral systems can be seen below.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td>adlm</td>
   <td>Adlam digits</td>
  </tr>
  <tr>
   <td>ahom</td>
   <td>Ahom digits</td>
  </tr>
  <tr>
   <td>arab</td>
   <td>Arabic-Indic digits</td>
  </tr>
  <tr>
   <td>arabext</td>
   <td>Extended Arabic-Indic digits</td>
  </tr>
  <tr>
   <td>armn</td>
   <td>Armenian upper case numerals — algorithmic</td>
  </tr>
  <tr>
   <td>armnlow</td>
   <td>Armenian lower case numerals — algorithmic</td>
  </tr>
  <tr>
   <td>bali</td>
   <td>Balinese digits</td>
  </tr>
  <tr>
   <td>beng</td>
   <td>Bengali digits</td>
  </tr>
  <tr>
   <td>bhks</td>
   <td>Bhaiksuki digits</td>
  </tr>
  <tr>
   <td>brah</td>
   <td>Brahmi digits</td>
  </tr>
  <tr>
   <td>cakm</td>
   <td>Chakma digits</td>
  </tr>
  <tr>
   <td>cham</td>
   <td>Cham digits</td>
  </tr>
  <tr>
   <td>cyrl</td>
   <td>Cyrillic numerals — algorithmic</td>
  </tr>
  <tr>
   <td>deva</td>
   <td>Devanagari digits</td>
  </tr>
  <tr>
   <td>ethi</td>
   <td>Ethiopic numerals — algorithmic</td>
  </tr>
  <tr>
   <td>finance</td>
   <td>Financial numerals — may be algorithmic</td>
  </tr>
  <tr>
   <td>fullwide</td>
   <td>Full width digits</td>
  </tr>
  <tr>
   <td>geor</td>
   <td>Georgian numerals — algorithmic</td>
  </tr>
  <tr>
   <td>gong</td>
   <td>Gunjala Gondi digits</td>
  </tr>
  <tr>
   <td>gonm</td>
   <td>Masaram Gondi digits</td>
  </tr>
  <tr>
   <td>grek</td>
   <td>Greek upper case numerals — algorithmic</td>
  </tr>
  <tr>
   <td>greklow</td>
   <td>Greek lower case numerals — algorithmic</td>
  </tr>
  <tr>
   <td>gujr</td>
   <td>Gujarati digits</td>
  </tr>
  <tr>
   <td>guru</td>
   <td>Gurmukhi digits</td>
  </tr>
  <tr>
   <td>hanidays</td>
   <td>Han-character day-of-month numbering for lunar/other traditional calendars</td>
  </tr>
  <tr>
   <td>hanidec</td>
   <td>Positional decimal system using Chinese number ideographs as digits</td>
  </tr>
  <tr>
   <td>hans</td>
   <td>Simplified Chinese numerals — algorithmic</td>
  </tr>
  <tr>
   <td>hansfin</td>
   <td>Simplified Chinese financial numerals — algorithmic</td>
  </tr>
  <tr>
   <td>hant</td>
   <td>Traditional Chinese numerals — algorithmic</td>
  </tr>
  <tr>
   <td>hantfin</td>
   <td>Traditional Chinese financial numerals — algorithmic</td>
  </tr>
  <tr>
   <td>hebr</td>
   <td>Hebrew numerals — algorithmic</td>
  </tr>
  <tr>
   <td>hmng</td>
   <td>Pahawh Hmong digits</td>
  </tr>
  <tr>
   <td>hmnp</td>
   <td>Nyiakeng Puachue Hmong digits</td>
  </tr>
  <tr>
   <td>java</td>
   <td>Javanese digits</td>
  </tr>
  <tr>
   <td>jpan</td>
   <td>Japanese numerals — algorithmic</td>
  </tr>
  <tr>
   <td>jpanfin</td>
   <td>Japanese financial numerals — algorithmic</td>
  </tr>
  <tr>
   <td>jpanyear</td>
   <td>Japanese first-year Gannen numbering for Japanese calendar</td>
  </tr>
  <tr>
   <td>kali</td>
   <td>Kayah Li digits</td>
  </tr>
  <tr>
   <td>khmr</td>
   <td>Khmer digits</td>
  </tr>
  <tr>
   <td>knda</td>
   <td>Kannada digits</td>
  </tr>
  <tr>
   <td>lana</td>
   <td>Tai Tham Hora (secular) digits</td>
  </tr>
  <tr>
   <td>lanatham</td>
   <td>Tai Tham Tham (ecclesiastical) digits</td>
  </tr>
  <tr>
   <td>laoo</td>
   <td>Lao digits</td>
  </tr>
  <tr>
   <td>latn</td>
   <td>Latin digits</td>
  </tr>
  <tr>
   <td>lepc</td>
   <td>Lepcha digits</td>
  </tr>
  <tr>
   <td>limb</td>
   <td>Limbu digits</td>
  </tr>
  <tr>
   <td>mathbold</td>
   <td>Mathematical bold digits</td>
  </tr>
  <tr>
   <td>mathdbl</td>
   <td>Mathematical double-struck digits</td>
  </tr>
  <tr>
   <td>mathmono</td>
   <td>Mathematical monospace digits</td>
  </tr>
  <tr>
   <td>mathsanb</td>
   <td>Mathematical sans-serif bold digits</td>
  </tr>
  <tr>
   <td>mathsans</td>
   <td>Mathematical sans-serif digits</td>
  </tr>
  <tr>
   <td>mlym</td>
   <td>Malayalam digits</td>
  </tr>
  <tr>
   <td>modi</td>
   <td>Modi digits</td>
  </tr>
  <tr>
   <td>mong</td>
   <td>Mongolian digits</td>
  </tr>
  <tr>
   <td>mroo</td>
   <td>Mro digits</td>
  </tr>
  <tr>
   <td>mtei</td>
   <td>Meetei Mayek digits</td>
  </tr>
  <tr>
   <td>mymr</td>
   <td>Myanmar digits</td>
  </tr>
  <tr>
   <td>mymrshan</td>
   <td>Myanmar Shan digits</td>
  </tr>
  <tr>
   <td>mymrtlng</td>
   <td>Myanmar Tai Laing digits</td>
  </tr>
  <tr>
   <td>native</td>
   <td>Native digits</td>
  </tr>
  <tr>
   <td>newa</td>
   <td>Newa digits</td>
  </tr>
  <tr>
   <td>nkoo</td>
   <td>N'Ko digits</td>
  </tr>
  <tr>
   <td>olck</td>
   <td>Ol Chiki digits</td>
  </tr>
  <tr>
   <td>orya</td>
   <td>Oriya digits</td>
  </tr>
  <tr>
   <td>osma</td>
   <td>Osmanya digits</td>
  </tr>
  <tr>
   <td>rohg</td>
   <td>Hanifi Rohingya digits</td>
  </tr>
  <tr>
   <td>roman</td>
   <td>Roman upper case numerals — algorithmic</td>
  </tr>
  <tr>
   <td>romanlow</td>
   <td>Roman lowercase numerals — algorithmic</td>
  </tr>
  <tr>
   <td>saur</td>
   <td>Saurashtra digits</td>
  </tr>
  <tr>
   <td>shrd</td>
   <td>Sharada digits</td>
  </tr>
  <tr>
   <td>sind</td>
   <td>Khudawadi digits</td>
  </tr>
  <tr>
   <td>sinh</td>
   <td>Sinhala Lith digits</td>
  </tr>
  <tr>
   <td>sora</td>
   <td>Sora_Sompeng digits</td>
  </tr>
  <tr>
   <td>sund</td>
   <td>Sundanese digits</td>
  </tr>
  <tr>
   <td>takr</td>
   <td>Takri digits</td>
  </tr>
  <tr>
   <td>talu</td>
   <td>New Tai Lue digits</td>
  </tr>
  <tr>
   <td>taml</td>
   <td>Tamil numerals — algorithmic</td>
  </tr>
  <tr>
   <td>tamldec</td>
   <td>Modern Tamil decimal digits</td>
  </tr>
  <tr>
   <td>telu</td>
   <td>Telugu digits</td>
  </tr>
  <tr>
   <td>thai</td>
   <td>Thai digits</td>
  </tr>
  <tr>
   <td>tirh</td>
   <td>Tirhuta digits</td>
  </tr>
  <tr>
   <td>tibt</td>
   <td>Tibetan digits</td>
  </tr>
  <tr>
   <td>traditio</td>
   <td>Traditional numerals — may be algorithmic</td>
  </tr>
  <tr>
   <td>vaii</td>
   <td>Vai digits</td>
  </tr>
  <tr>
   <td>wara</td>
   <td>Warang Citi digits</td>
  </tr>
  <tr>
   <td>wcho</td>
   <td>Wancho digits</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_the_numberingSystem_value_via_the_locale_string">Setting the <code>numberingSystem</code> value via the locale string</h3>

<p>In the <a href="https://www.unicode.org/reports/tr35/" rel="noopener">Unicode locale string spec</a>, the values that <code>numberingSystem</code> represents correspond to the key <code>nu</code>. <code>nu</code> is considered a locale string "extension subtag". These subtags add additional data about the locale, and are added to locale identifiers by first adding the <code>-u</code> key. To set the <code>numberingSystem</code> value via the string argument to the {{jsxref("Locale/Locale", "Locale")}} constructor, first add the <code>-u</code> extension key. Next, add the <code>-nu</code> extension key to indicate that you are adding a value for <code>numberingSystem</code>. Finally, add the <code>numberingSystem</code> value to the string.</p>

<pre class="brush: js">let numberingSystemViaStr = new Intl.Locale("fr-Latn-FR-u-nu-mong");
console.log(numberingSystemStr.numberingSystem); // Prints "mong"</pre>

<h3 id="Setting_the_numberingSystem_value_via_the_configuration_object_argument">Setting the <code>numberingSystem</code> value via the configuration object argument</h3>

<p>The {{jsxref("Locale/Locale", "Intl.Locale")}} constructor has an optional configuration object argument, which can be used to pass extension types. Set the <code>numberingSystem</code> property of the configuration object to your desired <code>numberingSystem</code> value and pass it into the constructor.</p>

<pre class="brush: js">let numberingSystemViaObj= new Intl.Locale("en-Latn-US", {numberingSystem: "latn"});
console.log(us12hour.numberingSystem); // Prints "latn"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.numberingSystem')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("javascript.builtins.Intl.Locale.numberingSystem")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Intl.Locale")}}</li>
 <li><a href="https://github.com/unicode-org/cldr/blob/master/common/supplemental/numberingSystems.xml">Details on the standard Unicode numeral systems</a></li>
</ul>
